package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

/**
 * 人脸识别验证结果
 */
public class FaceCompareResult implements JsonSerializable {

    private static final long serialVersionUID = 3567311334163339241L;

    @ApiModelProperty(value = "学生ID", hidden = true)
    private Long studentId;

    @ApiModelProperty(value = "人脸比对是否通过")
    private Boolean isPass;

    @ApiModelProperty(value = "是否有陌生人")
    private Boolean isStranger;

    @ApiModelProperty(value = "文件路径")
    private String fileUrl;

    @ApiModelProperty(value = "人脸比对结果")
    private String faceCompareResult;

    @ApiModelProperty(value = "人脸比对的处理时间")
    private Long processTime;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Boolean getPass() {
        return isPass;
    }

    public void setPass(Boolean pass) {
        isPass = pass;
    }

    public Boolean getStranger() {
        return isStranger;
    }

    public void setStranger(Boolean stranger) {
        isStranger = stranger;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFaceCompareResult() {
        return faceCompareResult;
    }

    public void setFaceCompareResult(String faceCompareResult) {
        this.faceCompareResult = faceCompareResult;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

}
